com.google.api.server.spi.config

## Enum AnnotationBoolean

- java.lang.Object
- - java.lang.Enum<AnnotationBoolean>
  - - com.google.api.server.spi.config.AnnotationBoolean

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AnnotationBoolean>

      public enum AnnotationBoolean
      extends java.lang.Enum<AnnotationBoolean>

  Enum allowing a boolean flag or unspecified. For use in api annotations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FALSE`
    `TRUE`
    `UNSPECIFIED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnnotationBoolean` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AnnotationBoolean[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRUE

          public static final AnnotationBoolean TRUE

    - #### FALSE

          public static final AnnotationBoolean FALSE

    - #### UNSPECIFIED

          public static final AnnotationBoolean UNSPECIFIED

  - ### Method Detail

    - #### values

          public static AnnotationBoolean[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AnnotationBoolean c : AnnotationBoolean.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AnnotationBoolean valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null